# Escape of a block copolymer from a micelle
We used a bead-spring model to represent the block copolymer and compute the interactions of this polymer with its
surrounding by external fields (that have been calculated by self-consistent field theory) with a specific Hamiltonian.
First we defined a reaction coordinate that quantifies the degree to which the transfer of the block copolymer out of
the micelle core is completed. Using Monte-Carlo simulation in conjunction with umbrella sampling, we obtained the
free-energy profile of observing the system at a given reaction coordinate. This provided an estimate for the location
and height of the free-energy barrier. Then we studied the dynamics of escape from the micelle core by forward-flux
sampling and accurately obtained the escape rate.
